<template>
  <div>
    <div class="form">
      <Form ref="form" :model="form" :rules="rule">
        <FormItem prop="email">
          <i-input type="text" v-model="form.email" placeholder="Login">
            <Icon type="ios-mail-outline" slot="prepend"></Icon>
          </i-input>
        </FormItem>
        <FormItem prop="password">
          <i-input type="password" v-model="form.password" placeholder="Hasło"
                   @keyup.enter.native="handleSubmit('form')">
            <Icon type="ios-lock-outline" slot="prepend"></Icon>
          </i-input>
        </FormItem>
        <FormItem>
          <Button type="primary" @click="handleSubmit('form')">Zaloguj</Button>
        </FormItem>
      </Form>
    </div>
<!--    <div>-->
<!--      <Row justify="center" align="middle">-->
<!--        <Button @click="remindPasswordModal = true">Przypomnij hasło</Button>-->
<!--        <RemindPassword @success="hideModal" @hide="remindPasswordModal = false"-->
<!--                        :show="remindPasswordModal"></RemindPassword>-->
<!--      </Row>-->
<!--    </div>-->
  </div>
</template>

<script>
    export default {
        data() {
            return {
                remindPasswordModal: false,
                form: {
                    email: '',
                    password: ''
                },
                rule: {
                    email: [
                        {
                            required: true,
                            message: 'Proszę podać login',
                            trigger: 'blur'
                        },
                        {
                            type: 'string',
                            message: 'Zły format!',
                            trigger: 'blur'
                        }
                    ],
                    password: [
                        {
                            required: true,
                            message: 'Proszę podać hasło',
                            trigger: 'blur'
                        },
                        {
                            type: 'string',
                            min: 4,
                            message: 'Hasło jest zbyt krótkie!',
                            trigger: 'blur'
                        }
                    ]
                }
            }
        },
        methods: {
            handleSubmit(name) {
                this.$refs[name].validate((valid) => {
                    if (valid) {
                        if (this.form.email == 'demo' && this.form.password == 'demo'){
                            this.$emit('logged')
                        }
                        else{
                            this.$Message.error('Zły login lub hasło!');
                        }
                    } else {
                        this.$Message.error('Błąd!');
                    }
                })
            },
            hideModal() {
                this.remindPasswordModal = false;
            }
        }
    }
</script>

<style scoped>
  .form{
    display: inline-block;
  }
</style>
